import { OnInit } from "@angular/core";
import { MatBottomSheet } from "@angular/material/bottom-sheet";
import { MatLegacyDialog as MatDialog } from "@angular/material/legacy-dialog";
import { ActivatedRoute } from "@angular/router";
import { ContactDto } from "@smallstack/axios-api-client";
import { BreakpointService } from "@smallstack/common-components";
import { ContactsStore } from "@smallstack/crm-components";
import { FilterName } from "@smallstack/store-components";
import { FrontendTypeRegistry } from "@smallstack/type-components";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class ContactsListWidgetComponent extends BaseWidgetComponent implements OnInit {
    breakpointService: BreakpointService;
    private matBottomSheet;
    contactsStore: ContactsStore;
    private matDialog;
    private typeRegistry;
    readonly FILTER_NAMES: FilterName[];
    isMobile$: Observable<boolean>;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(breakpointService: BreakpointService, matBottomSheet: MatBottomSheet, contactsStore: ContactsStore, matDialog: MatDialog, activatedRoute: ActivatedRoute, typeRegistry: FrontendTypeRegistry);
    ngOnInit(): void;
    onOpenContactDetails(data: ContactDto): Promise<void>;
    openContactEditor(contact: ContactDto): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContactsListWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContactsListWidgetComponent, "smallstack-contacts-list-widget", never, {}, {}, never, never, false, never>;
}
